AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- ConfirmSignUpComponentCore
  - ConfirmSignUpComponentIonic

### Implements

- any

## Index

### Constructors

- constructor

### Properties

- _authState
- _show
- amplifyService
- code
- errorMessage
- logger
- username

### Accessors

- authState
- data

### Methods

- _setError
- ngOnInit
- onAlertClose
- onConfirm
- onResend
- onSignIn
- setCode
- setUsername

## Constructors

### constructor

- new ConfirmSignUpComponentCore(amplifyService: AmplifyService): ConfirmSignUpComponentCore

- - Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-up-component/confirm-sign-up.component.core.ts:91

  #### Parameters

  - ##### amplifyService: AmplifyService

  #### Returns ConfirmSignUpComponentCore

## Properties

### _authState

_authState: AuthState

- Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-up-component/confirm-sign-up.component.core.ts:86

### _show

_show: boolean

- Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-up-component/confirm-sign-up.component.core.ts:87

### Protected amplifyService

amplifyService: AmplifyService

- Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-up-component/confirm-sign-up.component.core.ts:93

### code

code: string

- Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-up-component/confirm-sign-up.component.core.ts:89

### errorMessage

errorMessage: string

- Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-up-component/confirm-sign-up.component.core.ts:90

### Protected logger

logger: any

- Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-up-component/confirm-sign-up.component.core.ts:91

### username

username: string

- Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-up-component/confirm-sign-up.component.core.ts:88

## Accessors

### authState

authState:

- Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-up-component/confirm-sign-up.component.core.ts:106

### data

data:

- Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-up-component/confirm-sign-up.component.core.ts:98

## Methods

### _setError

- _setError(err: any): void

- - Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-up-component/confirm-sign-up.component.core.ts:152

  #### Parameters

  - ##### err: any

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-up-component/confirm-sign-up.component.core.ts:113

  #### Returns void

### onAlertClose

- onAlertClose(): void

- - Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-up-component/confirm-sign-up.component.core.ts:148

  #### Returns void

### onConfirm

- onConfirm(): void

- - Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-up-component/confirm-sign-up.component.core.ts:127

  #### Returns void

### onResend

- onResend(): void

- - Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-up-component/confirm-sign-up.component.core.ts:137

  #### Returns void

### onSignIn

- onSignIn(): void

- - Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-up-component/confirm-sign-up.component.core.ts:143

  #### Returns void

### setCode

- setCode(code: string): void

- - Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-up-component/confirm-sign-up.component.core.ts:123

  #### Parameters

  - ##### code: string

  #### Returns void

### setUsername

- setUsername(username: string): void

- - Defined in aws-amplify-angular/src/components/authenticator/confirm-sign-up-component/confirm-sign-up.component.core.ts:119

  #### Parameters

  - ##### username: string

  #### Returns void